{% block javascripts %}
  <script>
    const translate_ritiro_pratica = "{{ 'pratica.ritira_pratica' | trans }}";
  </script>
{% endblock %}

{% if pratica.servizio.receipt == 'f24' or pratica.servizio.receipt == 'compiled_module' %}
  {% if pratica.moduliCompilati|length > 0 %}
    {% set attachment = pratica.moduliCompilati.first %}
    <a href="{{ path('allegati_download_cpsuser', {'allegato': attachment.id}) }}" download="" class="btn btn-outline-primary w-100 fw-bold mb-4">
      <svg class="icon icon-primary icon-sm">
        <use href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
      </svg>
      <span>{{ ('operatori.download.' ~ pratica.servizio.receipt) | trans }}</span>
    </a>
  {% else %}
    {% if pratica.status >= constant('\\App\\Entity\\Pratica::STATUS_PRE_SUBMIT') %}
      <button disabled type="button" class="btn btn-secondary btn-xs disabled w-100 fw-bold mb-2 d-flex align-items-center px-1 justify-content-center">
        <div class="progress-spinner progress-spinner-double size-sm progress-spinner-active">
          <div class="progress-spinner-inner"></div>
          <div class="progress-spinner-inner"></div>
        </div>
        <div class="px-2"><span>  {{ 'operatori.attesa_modulo_compilato_pdf'|trans|raw }}</span></div>
      </button>
    {% endif %}
  {% endif %}
{% else %}
  <button id="download_module" type="button" class='btn btn-outline-primary w-100 fw-bold mb-4'
          data-print="{{ path('print_pratiche', {'pratica': pratica})  ~ '?preview=true' }}">
    <svg class="icon icon-primary icon-sm">
      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
    </svg>
    <span>{{ ('operatori.download.' ~ pratica.servizio.receipt) | trans }}</span>
  </button>
{% endif %}

{% if can_compile %}
  {% if pratica.status == constant('\\App\\Entity\\Pratica::STATUS_PAYMENT_PENDING') or pratica.status == constant('\\App\\Entity\\Pratica::STATUS_STAMPS_PAYMENT_PENDING') %}
    <a class="btn btn-success mb-4 w-100" data-action="edit_draft"
       href="{{ path('pratiche_compila', {'pratica': pratica.id}) }}">
      <i class="fa fa-arrow-circle-right"></i>
      {{ 'pratica.vai_al_pagamento'|trans }}
    </a>
  {% endif %}
  {% if pratica.servizio.legacy or pratica.status == constant('\\App\\Entity\\Pratica::STATUS_DRAFT') %}
    <a class="btn btn-success mb-4 w-100" data-action="edit_draft"
       href="{{ path('pratiche_compila', {'pratica': pratica.id}) }}">
      <i class="fa fa-arrow-circle-right"></i>
      {{ 'pratica.vai_alla_pratica'|trans }}
    </a>
  {% endif %}
{% endif %}
{% if can_withdraw %}
  <a class="btn btn-danger mb-4 w-100"
     onclick="return confirm(translate_ritiro_pratica);"
     href="{{ path('pratiche_withdraw', {'pratica': pratica.id}) }}">
    <i class="fa fa-times" aria-hidden="true"></i>
    {{ 'pratica.ritira_la_pratica'|trans }}
  </a>
{% endif %}
